Bug 800317 - [abrt] R-core-2.14.1-1.fc16: _IO_vfprintf_internal: Process /usr/lib64/R/bin/exec/R was killed by signal 11 (SIGSEGV)
[abrt] R-core-2.14.1-1.fc16: _IO_vfprintf_internal: Process /usr/lib64/R/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:4defc1af82395da1503059fb9a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 04:55 EST by Milan Bouchet-Valat
Modified: 2013-02-13 18:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.80 KB, text/plain)
2012-03-06 04:55 EST, Milan Bouchet-Valat
no flags Details
File: maps (37.09 KB, text/plain)
2012-03-06 04:55 EST, Milan Bouchet-Valat
no flags Details
File: var_log_messages (12.30 KB, text/plain)
2012-03-06 04:55 EST, Milan Bouchet-Valat
no flags Details
File: backtrace (1.47 MB, text/plain)
2012-03-06 04:55 EST, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2012-03-06 04:55:18 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/R/bin/exec/R
crash_function: _IO_vfprintf_internal
executable:     /usr/lib64/R/bin/exec/R
kernel:         3.2.3-2.fc16.x86_64
pid:            7477
pwd:            /home/milan/Cachan/Analyse lexicale
reason:         Process /usr/lib64/R/bin/exec/R was killed by signal 11 (SIGSEGV)
time:           lun. 05 mars 2012 16:37:30 CET
uid:            1000
username:       milan

backtrace:      Text file, 1545031 bytes
dso_list:       Text file, 6967 bytes
maps:           Text file, 37981 bytes
var_log_messages: Text file, 12593 bytes

comment:
:Happens reliably when doing a little mistake: calling
:c(object1, object2)
:with object1 being a large simple_triplet_matrix, and object2 a small table.

environ:
:SED=/bin/sed
:XDG_VTNR=7
:XDG_SESSION_ID=120
:R_INCLUDE_DIR=/usr/include/R
:HOSTNAME=milan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-x9GMlB/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=9e1782da896cc13ddd95ca060000000c-1330776625.485616-797847102
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=37751189
:GNOME_KEYRING_CONTROL=/tmp/keyring-x9GMlB
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=milan
:LD_LIBRARY_PATH=/usr/lib64/R/lib:/usr/lib/jvm/jre/lib/amd64/server:/usr/lib/jvm/jre/lib/amd64:/usr/lib/jvm/java/lib/amd64:/usr/java/packages/lib/amd64:/lib:/usr/lib
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/tmp/keyring-x9GMlB/ssh
:USERNAME=milan
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/27477,unix/unix:/tmp/.ICE-unix/27477
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/milan
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:QT_IM_MODULE=xim
:'PWD=/home/milan/Cachan/Analyse lexicale'
:R_SHARE_DIR=/usr/share/R
:XMODIFIERS=@im=none
:EDITOR=nano
:KDE_IS_PRELINKED=1
:LANG=fr_FR.utf8
:GNOME_KEYRING_PID=27470
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr/local:/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups:ignorespace
:R_ARCH=
:SHLVL=2
:HOME=/home/milan
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=milan
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-brZuI343BG,guid=7f7c802200849512bc67e43d0005fec2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:R_HOME=/usr/lib64/R
:WINDOWPATH=7
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/milan
:R_DOC_DIR=/usr/share/doc/R-2.14.1
:XAUTHORITY=/var/run/gdm/auth-for-milan-AjXjLf/database
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
Comment 1 Milan Bouchet-Valat 2012-03-06 04:55:30 EST
Created attachment 567890 [details]
File: dso_list
Comment 2 Milan Bouchet-Valat 2012-03-06 04:55:33 EST
Created attachment 567891 [details]
File: maps
Comment 3 Milan Bouchet-Valat 2012-03-06 04:55:35 EST
Created attachment 567892 [details]
File: var_log_messages
Comment 4 Milan Bouchet-Valat 2012-03-06 04:55:43 EST
Created attachment 567895 [details]
File: backtrace
Comment 5 Milan Bouchet-Valat 2012-03-06 05:01:36 EST
The crash only happens if the slam package is loaded. It seems the crash happens when trying to convert the simple_triplet_matrix to a matrix.

 *** caught segfault ***
address 0x7fff24dc3fc8, cause 'memory not mapped'

Traceback:
 1: is.matrix(x)
 2: as.matrix.default(x)
 3: as.matrix(x)
 4: as.simple_triplet_matrix(as.matrix(x))
 5: as.simple_triplet_matrix.default(as.matrix(x))
 6: as.simple_triplet_matrix(as.matrix(x))
...
4420: as.simple_triplet_matrix(as.matrix(x))
4421: as.simple_triplet_matrix.default(x)
4422: as.simple_triplet_matrix(x)
4423: .TermDocumentMatrix(x, weighting)
4424: as.TermDocumentMatrix.default(X[[2L]], ...)
4425: FUN(X[[2L]], ...)
4426: lapply(base::c(list(x), args), as.TermDocumentMatrix)
4427: do.call("c", lapply(base::c(list(x), args), as.TermDocumentMatrix))
4428: t(do.call("c", lapply(base::c(list(x), args), as.TermDocumentMatrix)))
4429: c.DocumentTermMatrix(obj1, obj2)
4430: c(obj1, obj2)
Comment 6 Fedora End Of Life 2013-01-16 14:18:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 18:12:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.